
Redmine - Defect #3835

user account page should only show reported issues count for those projects which the current user

can access

2009-09-08 20:33 - Lucas Panjer

Status: Closed Start date: 2009-09-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Currently, the user account page seems to show the total instance-wide count of reported issues. This number should be restricted to

the projects that the currently logged in user has permissions to, just like the activity view is filtered to their projects.

Related issues:

Related to Redmine - Feature #3398: Link to assigned issues on user profiles Closed 2009-05-20

History

#1 - 2013-02-06 09:32 - Daniel Felix

- Category set to UI

- Status changed from New to Needs feedback

- Assignee set to Jean-Philippe Lang

I'm still able to reproduce this. The count is generated system wide and the list is generated per project. But anyway...

It depends on the software design.

It could be right, to show all issues by this user, regardless if he has acces to them or not, to indicate how much tickets he has created.

This is the current behaviour.

The other way would be to limitate this. But this could lead to the wrong conclusion.

For example: Teamleader A has just access to project a and b and has a discussion with Teamleader B. Teamleader B says, his team has many

many tasks to do. Teamleader A don't trust him and watch his userprofiles. He just can't see any reported issues. This way... Teamleader A could

ask, if they have ANY work. ;-)

But this is not my decission. Maybe Jean-Philippe could take a look at this and decide if this is by design or more likely a bug.

#2 - 2013-09-01 22:55 - Jan Niggemann (redmine.org team member)

I like the way it's implemented now, it makes sense to me.

#3 - 2019-02-11 08:35 - Go MAEDA

- Status changed from Needs feedback to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Fixed

Fixed in r14717 for Redmine 3.2.0.

#4 - 2019-02-11 08:36 - Go MAEDA

- Related to Feature #3398: Link to assigned issues on user profiles added
